#ifndef GLWIDGET_H
#define GLWIDGET_H

#include <QGLWidget>

#define GL_CLAMP_TO_EDGE_MY 0x812F

//=================================================================================================
typedef struct
{
  GLuint id;   // идентификатор текстуры
  QSize size;  // размер текстуры
} s_Textures;
//=================================================================================================
class GLWidget : public QGLWidget
{
  Q_OBJECT

  int sizeX;          // ширина текстуры
  int sizeY;          // высота текстуры
  int blocksX;
  int blocksY;
  int m_iMaxTexSize;  // максимальный размер текстуры
  QVector<s_Textures> textures;
  QImage *img;

  public:
    GLWidget( QWidget *parent = 0 );
    ~GLWidget();

  protected:
    void initializeGL();
    void resizeGL( int w, int h );
    void paintGL();
    void genTexture();
};
//=================================================================================================

#endif // GLWIDGET_H
